shellcheck:
  image: tecnalia-docker-dev.artifact.tecnalia.com/koalaman/shellcheck-alpine
  script: shellcheck deploy/base/ros_entrypoint.bash scripts/*sh
  tags:
    - docker

# The ignored rules in hadolint checks are
# DL3006 Always tag the version of an image explicitly
#   One of the Dockerfiles uses a temporary image which isn't important to tag
#   and the other uses a tagged image through an ARG, which apparently is not
#   properly recognized.
# DL3008 Pin versions in apt-get install
#   A bit overkill
dockerfiles:
  image: tecnalia-docker-dev.artifact.tecnalia.com/hadolint/hadolint:latest-debian
  script:
    - RET=0
    - hadolint --ignore DL3006 --ignore DL3008 deploy/base/Dockerfile || RET=1
    - hadolint --ignore DL3006 --ignore DL3008 deploy/dev/Dockerfile || RET=1
    - exit $RET
  tags:
    - docker

yamllint:
  image: tecnalia-docker-dev.artifact.tecnalia.com/sdesbure/yamllint
  script: yamllint $(find . -name '*.yml' -o -name '*.yaml')
  tags:
    - docker

deploy_devcontainer:
  script:
    - tar cvfz dot_devcontainer.tar.gz -C vscode_devcontainer .devcontainer/
  artifacts:
    paths:
      - dot_devcontainer.tar.gz
    expire_in: 1 year
  tags:
    - docker
